BenQ nScreen i221

Bug #606599 reported by DDarko on 2010-07-17
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Linux
Won't Fix
Medium
udev (Ubuntu)
Undecided
Unassigned
Nominated for Maverick by nascirek

Bug Description

I installed Ubuntu 10.04 on BenQ nScreen i221, and most work well, however, when turn the volume control located in the lower right corner of the monitor is to suspend almost all of the panels. can't expand any menu and can't enter any data. blinking cursor and the mouse works, but writing is impossible.

Pressing CTRL + ALT + F1 and then CTRL + ALT + F7 helps, but I don't want to do this every time.

maybe someone knows what's going on ?

Related branches

Fabio Marconi (fabiomarconi) wrote :

Hello
Is this problem present with the latest updates ?
Thanks in advance
Fabio

Changed in ubuntu:
status: New → Incomplete

Hi,

I managed to fix this with a patch to linux-2.6.32/drivers/input/keyboard/atkbd.c as below:

--- atkbd.c_original 2010-07-11 11:08:31.748769000 +0200
+++ atkbd.c 2010-07-11 11:10:22.758768325 +0200
@@ -1603,6 +1603,15 @@
                .callback = atkbd_setup_forced_release,
                .driver_data = atkbd_hp_forced_release_keys,
        },
+ {
+ .ident = "BenQ nScreen e221",
+ .matches = {
+ DMI_MATCH(DMI_SYS_VENDOR, "BenQ"),
+ DMI_MATCH(DMI_PRODUCT_NAME, "nScreen"),
+ },
+ .callback = atkbd_setup_forced_release,
+ .driver_data = atkbd_volume_forced_release_keys,
+ },
        {
                .ident = "HP Pavilion ZV6100",
                .matches = {

You will need to recompile kernel image (https://help.ubuntu.com/community/Kernel/Compile)
Tested with linux-image-2.6.35-24-generic_2.6.35-24.42_amd64

affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Fabio Marconi (fabiomarconi) wrote :

Based on the reply on the bugzilla tracker i assign to udev

affects: linux (Ubuntu) → udev (Ubuntu)
Fabio Marconi (fabiomarconi) wrote :

I mail this to udev mantainers

Changed in linux:
status: Confirmed → Won't Fix
Martin Pitt (pitti) wrote :

Committed upstream, thanks!

Changed in udev (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package udev - 175-0ubuntu1

---------------
udev (175-0ubuntu1) precise; urgency=low

  [ Loïc Minier ]
  * Update Vcs fields for precise.

  [ Steve Langasek ]
  * debian/udev.initramfs-hook: we aren't using pkill anymore, so don't put
    it in the initramfs.

  [ Martin Pitt ]
  * Unapply patches, they are not meant to be applied in the bzr branch.
  * New upstream releases 174 and 175:
    - Daemon moved to /lib/udev/udevd
    - path_id, usb_id, input_id tools are built-in commands now
    - fusectl filesystem is no longer mounted directly from udev
    - The long deprecated keys: SYSFS=, ID=, BUS= have been removed
    - The udev control socket is now created in /run/udev/control
    - The rules to create persistent network interface and cdrom link
      rules automatically in /etc/udev/rules.d/ have been disabled by
      default.
    - Support for 'udevadm trigger --type=failed, and the
      RUN{fail_event_on_error} attribute was removed.
    - Various keymap fixes (LP: #606599, #637695, #696671, #763525, #770680,
      LP: #795694)
    - Unbreak findkeyboards (LP: #881158)
    - Lots of bug fixes.
  * debian/rules: Explicitly enable persistent net/cdrom rule generator by
    default. Upstream default changed, but this seems too much a change for
    12.04 LTS.
  * Drop move-input_id-to-default-rules.patch, race-condition-on-exit: Applied
    upstream.
  * jack-detection.patch: Port to new upstream version.
  * load-fbcon.patch, use_run_tmpfs: Unfuzz.
  * debian/udev.install, debian/udev-udeb.install, debian/udev.initramfs-hook,
    debian/udev.initramfs-top, debian/udev.installer-startup,
    debian/udev.udev-finish.init, debian/udev.upstart: Update to changed
    location of udevd (/sbin → /lib/udev) and the three now builtin _id
    helpers.
  * debian/libudev0.symbols: Add new symbol from this release.
 -- Martin Pitt <email address hidden> Thu, 10 Nov 2011 08:49:07 +0100

Changed in udev (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.